classification
Title: skip 2 tests in test_urllib2net.py if _ssl module not present
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: berker.peksag, pitrou, python-dev, rpointel
Priority: normal Keywords: patch

Created on 2014-05-09 07:03 by rpointel, last changed 2014-10-10 11:36 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
Lib_test_test_urllib2net_py.diff rpointel, 2014-05-09 07:03 diff to skip 2 tests in Lib/test/test_urllib2net.py if ssl module not present review
Lib_test_test_urllib2net_py.diff rpointel, 2014-06-07 06:05 review
Messages (5)
msg218139 - (view) Author: Remi Pointel (rpointel) * Date: 2014-05-09 07:03
Hi,

I tested the regress tests on a machine which does not have the ssl module, and I have 2 errors in Lib/test/test_urllib2net.py. I think it should skip the test instead.

Attached is a diff I wrote, it's based on Lib/test/test_poplib.py.

Don't hesitate if I miss a thing.

Remi.
msg218152 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-05-09 11:55
There isn't much point in introducing a variable named SUPPORTS_SSL, just use "ssl is not None".
msg219918 - (view) Author: Remi Pointel (rpointel) * Date: 2014-06-07 06:05
Are you ok with this diff reworked?
msg228985 - (view) Author: Roundup Robot (python-dev) Date: 2014-10-10 11:35
New changeset ac55331c1df6 by Berker Peksag in branch '3.4':
Issue #21456: Skip two tests in test_urllib2net.py if _ssl module not present.
https://hg.python.org/cpython/rev/ac55331c1df6

New changeset 470ea66f5bee by Berker Peksag in branch 'default':
Issue #21456: Skip two tests in test_urllib2net.py if _ssl module not present.
https://hg.python.org/cpython/rev/470ea66f5bee
msg228987 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-10-10 11:36
Thanks for the patch, Remi.
History
Date User Action Args
2014-10-10 11:36:37berker.peksagsetstatus: open -> closed

type: behavior
assignee: berker.peksag
versions: + Python 3.4
nosy: + berker.peksag

messages: + msg228987
resolution: fixed
stage: resolved
2014-10-10 11:35:43python-devsetnosy: + python-dev
messages: + msg228985
2014-06-07 06:05:56rpointelsetfiles: + Lib_test_test_urllib2net_py.diff

messages: + msg219918
2014-05-09 11:55:42pitrousetnosy: + pitrou
messages: + msg218152
2014-05-09 07:03:50rpointelcreate